﻿using UnityEngine;
using System.Collections;
using Barsalt.ConsoleSystem;
using Barsalt.MessageServiceSystem;
using Barsalt.MessageServiceSystem.Services;

public class Example : MonoBehaviour {
	private ConsoleWindow console			= new ConsoleWindow(new Rect(32, 32, 512, 512), "Example Console");
	private MessageServiceManager manager	= new MessageServiceManager();

	// Use this for initialization
	void Start () {
		console.Manager = manager;

		manager.Add("help", new HelpService(manager));
	}
	
	// Update is called once per frame
	void Update () {
		
	}

	void OnGUI(){
		console.Display();
	}
}
